Bug 7376 - mencoder, отрицательный размер больших файлов
: mencoder, отрицательный размер больших файлов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/MPlayer)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-07-15 13:30 by
Modified: 2009-05-10 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-15 13:30:32
Если при кодировании получается файл большого размера (от 3 гиг точно), то не 
верно выдается его размер. 
$ mencoder dvd://1 -dvd-device starwar3.iso -ovc copy -ni -oac copy -o f.avi 
Video stream: 2999.328 kbit/s  (374916 bps)  size: -1563134114 bytes  7286.520 
secs  182164 frames 
Audio stream: 1536.000 kbit/s  (191999 bps)  size: 1398944000 bytes  7286.167 
secs 
$ ls -l f.avi 
-rw-r--r--  1 henker webmaster 4134837948 Июл 15 13:13 f.avi 
Steps to Reproduce:
1. mencoder dvd://1 -ovc copy -ni -oac copy -o f.avi 
2. 
3.
------- Comment #1 From 2005-07-15 13:32:18 -------
забыл: 
$ rpm -q mencoder 
mencoder-1.0-alt20.pre7 
------- Comment #2 From 2006-10-25 18:29:09 -------
fixed (in upstream?)